package com.boman.web.core.service.accounting;

import com.boman.domain.dto.AjaxResult;
import com.boman.web.core.domain.AccountingData;
import com.boman.web.core.domain.TSampling514;
import com.boman.web.core.domain.ToQianshanPersonner;
import com.boman.web.core.domain.vo.AccountingDataVo;

import java.io.IOException;
import java.util.List;

/**
 * @author tjf
 * @Date: 2022/05/13/11:13
 */
public interface IAccountingDataService {
    /**
     * 核酸检测列表(户籍地址)
     * @param accountingData
     * @return
     */
    List<AccountingDataVo> nucleicAcidHJList(AccountingDataVo accountingData);

    /**
     * 核酸检测列表(居住地址)
     * @param accountingData
     * @return
     */
    List<AccountingDataVo> nucleicAcidJzdzList(AccountingDataVo accountingData);

    /**
     *  核酸数据导出
     * @param accountingData
     * @throws IOException
     */
    List<AccountingDataVo> getExportHj(AccountingDataVo accountingData);


    /**
     * 插入数据
     * @param
     * @return
     */
    //int insertAccountingData(List<AccountingDataVo> accountingDataVoList);

    AccountingDataVo getAccountingDataOne();

    List<AccountingDataVo> getAllData();

    List<TSampling514> getTSampling514AllData(String startTime,String endTime);

    List<TSampling514> getTSampling514AllDataNoTime();

    /**
     * 从第三方库获取核酸数据
     */
    void thirdNucleicAcid(String startTime,String endTime);

    List<AccountingDataVo> exportCz(AccountingDataVo accountingData);
}
